#ifndef XGPUTEXTURESIZE2D_H
#define XGPUTEXTURESIZE2D_H

#include "xasset.h"

class XGpuTextureSize2D : public XAsset
{
public:
    explicit XGpuTextureSize2D();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
    quint32 mHeight;
};

#endif // XGPUTEXTURESIZE2D_H








